# JSDoc: Source: app/channel/chat.js

# Source: app/channel/chat.js

    /*Canopy - The next generation of stoner streaming software
    Copyright (C) 2024-2025 Rainbownapkin and the TTN Community

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.*/

    /**
     * Class representing a single chat message
     */
    class chat{
        /**
         * Instantiates a chat message object
         * @param {connectedUser} user - User who sent the message
         * @param {String} flair - Flair ID String for the flair used to send the message
         * @param {Number} highLevel - Number representing current high level
         * @param {String} msg - Contents of the message, with links replaced with numbered file-seperator markers
         * @param {String} type - Message Type Identifier, used for client-side processing.
         * @param {Array} links - Array of URLs/Links included in the message.
         */
        constructor(user, flair, highLevel, msg, type, links){
            this.user = user;
            this.flair = flair;
            this.highLevel = highLevel;
            this.msg = msg;
            this.type = type;
            this.links = links;
        }
    }

    module.exports = chat;